# Установка ПО на Astra Linux OREL разных версий поставки (CE и SE)

Подробная инструкция по чистой установке и настройке Астра линукс на рабочие ПК, по работе со скриптом для установки ПО на ПК после нулевой установки Astra linux.

[Описание установки софта в Astra linux SE 1.7.5.9](alse-1.7.5.9-install-soft.md)

[Описание установки софта в Astra linux CE 2.12.46](alce-2.12.46-install-soft.md)


### Автоматическое подключение сетевой папки при старте системы посредством добавления данных в файл /etc/fstab.
1. устанавливаем cifs-utils\
   `sudo apt install cifs-utils`\

2. Открываем файл fstab на редактирование, к примеру в nano:\
   `sudo nano /etc/fstab`

   прописываем по шаблону, то есть добавляем строку(и): источник - куда монтировать - опции\
   например монтирование папки tranzit с сервера DCT будет таким:\
   `//192.168.2.9/Tranzit/YacsmDoc/AllUsersDocs /home/usercsm/tranzit/AllUsersDocs cifs credentials=/root/.smbclient,rw,nosharesock,vers=1.0,soft,noperm 0 0`

3. переходим в папку /root и создаем там файл .smbclient\
   `cd /root && nano .smbclient`\

   в файле прописываем данные пользователя из под которого будем подключаться к сетевой папке по формату\
   `username=UserName`\
   `password=PasswordUser`\
   `domain=YourDomain`\     

4. После внесения всех данных и проведения всех манипуляций выполняем команду:\
   `mount -a`  

